/*
 * @(#)src/classes/sov/java/awt/peer/KeyboardFocusManagerPeer.java, awt, asdev, 20071004 1.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */

/* 
 *
 * Change activity:
 *
 * Reason  Date   Origin    Description
 * ------  ----   ------    -------------------------------------------------- 
 * 74907  300804 smithwil   Merge 5.0
 *
 * ===========================================================================
 * Module Information:
 * 
 * DESCRIPTION: IBM.WRITEME
 * ===========================================================================
 */

/*
 * @(#)KeyboardFocusManagerPeer.java	1.3 03/12/19
 *
 */

package java.awt.peer;

import java.awt.Component;
import java.awt.Window;

public interface KeyboardFocusManagerPeer {
    void setCurrentFocusedWindow(Window win);
    Window getCurrentFocusedWindow();
    
    void setCurrentFocusOwner(Component comp);
    Component getCurrentFocusOwner();

    void clearGlobalFocusOwner(Window activeWindow);
}
